Package ru.bitel.common.model

# Interface GuiTitlable

All Known Subinterfaces:
  `IpResourceInstance`, `Resource`

All Known Implementing Classes:
  `AbstractEntity`, `AbstractGeographicCode`, `AbstractPaymentTypes`, `AbstractTreeNode`, `AbtractVoiceAccount`, `AdditionalContractAction`, `AdditionalContractAction`, `AddressObj`, `Area`, `AssistantAction`, `AssistantActionItem`, `AttributeType`, `BalanceBaseType`, `BankAccount`, `BGInstalledModule`, `BGModule`, `BillLink`, `BonusPaymentType`, `Bot`, `BotDialog`, `BotDialogElement`, `BotDialogElementType`, `BotDialogGroup`, `BotType`, `Channel`, `Channel`, `ChannelType`, `ChargeType`, `City`, `City`, `ClosedSormContract`, `ConfigData`, `Configuration`, `ContactType`, `Contract`, `Contract`, `ContractCard`, `ContractGroup`, `ContractIdTitleComment`, `ContractLabelItem`, `ContractNote`, `ContractNotification`, `ContractObject`, `ContractObjectParam`, `ContractObjectType`, `ContractParameterGroup`, `ContractParameterGroupAttr`, `ContractParameterGroupName`, `ContractParameterListItem`, `ContractParameterPref`, `ContractParameterPrefType`, `ContractPatternNamedNumber`, `ContractSubPanelLog`, `ContractSubPanelManage`, `ContractTariffEntry`, `Copy`, `CostMap`, `CostMapItem`, `Country`, `CurrencyBank`, `CurrencyCode`, `CustomDispatchMessage`, `DashboardItem`, `Dealer`, `Dealer`, `DefaultTreeNode`, `DefaultTreeNode.Root`, `Device`, `DeviceGroup`, `DeviceInterface`, `DeviceInterfaceIndex`, `DeviceType`, `DeviceTypeConfig`, `DeviceTypeScript`, `DialogProcessingWrapper`, `DialUpNAS`, `Directional`, `Dispatch`, `DispatchBalanceMessage`, `DispatchMessage`, `DocType`, `Document`, `DocumentJournal`, `DocumentPattern`, `DocumentStatus`, `DocumentType`, `Domain`, `Domain`, `DrwebTariff`, `DynamicClass`, `Entity`, `EntitySpec`, `EntitySpecAttr`, `EntitySpecAttrListItem`, `EntitySpecAttrType`, `EntitySpecDTO`, `EventScriptLink`, `EventType`, `FileInfo`, `Function`, `Gate`, `GateType`, `GlobalScript`, `GlobalScriptLink`, `IdTitle`, `InetDevice`, `InetDeviceType`, `InetInterface`, `InetOption`, `InetServ`, `InetServType`, `InstalledInstanceModule`, `InvDevice`, `IpCategory`, `IpResource`, `IpResourceAddress`, `IpResourceNet`, `IpResourceRange`, `KeyValue`, `LightweightTaskData`, `MegogoContractSubscription`, `MegogoContractTryAndBuy`, `MegogoSubscription`, `MegogoTryAndBuy`, `MenuItem`, `Message`, `MobiServiceCode`, `MobNews`, `MQEvent`, `MQServer`, `News`, `NumerationPool`, `Packet`, `PaymentType`, `PaymentTypeItem`, `PhoneCategory`, `PhoneItemListMode.Mode`, `Printer`, `Product`, `ProductCategory`, `ProductOffering`, `ProductOfferingActivationMode`, `ProductSpec`, `ProductSpecActivationMode`, `Quarter`, `RangeMap`, `RangeMapItem`, `Ratio`, `Region`, `ReserveType`, `RunTelTariff`, `SBPilotTerminal`, `Script`, `ScriptBackup`, `ScriptLibrary`, `SenderType`, `Service`, `ServiceSpec`, `SmartHousePackageBase`, `SormProject`, `Source`, `Status`, `Street`, `Street`, `Subscriber`, `SubscriptionMode`, `SubscriptionPeriodType`, `SubscriptionStatus`, `SubscriptionType`, `SubscriptionType`, `Tag`, `TariffAVD`, `TariffGroup`, `TariffItem`, `TariffLabelItem`, `TariffOption`, `TariffOptionActivateMode`, `TariffPlan`, `TariffPlanData`, `TaskData`, `TrafficRangeSpec`, `TrafficType`, `TrafficTypeLink`, `TvAccount`, `TvAccountSpec`, `TvChannelSpec`, `TvDevice`, `TvDeviceType`, `Unit`, `UpdaterTaskLogStatus`, `User`, `UserCard`, `UserDevice`, `UserGroup`, `UserInfo`, `UserRightRule`, `VlanCategory`, `VlanResource`, `VoiceAccount`, `VoiceAccountType`, `VoiceAccountTypeAbstract`, `VoiceBaseCodeBean`, `VoiceCostMap`, `VoiceCostMapItem`, `VoiceDestination`, `VoiceDevice`, `VoiceDeviceType`, `VoiceGeographicCode`, `VoiceOperAccount`, `VoiceOperAccountType`, `VoiceOperator`, `VoiceOption`, `VoiceZone`, `VoiceZoneMap`, `VoiceZoneMapItem`, `WebMenuItem`, `Zone`

    public interface GuiTitlable

Интерфейс для бинов, которые опционально хотят отображать себя в GUI в каком-то виде. Работает в: BGUComboBox (отображение сущности), GuiTitlableRenderer (рендер столбца, надо поставить руками в initColumns).

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.

- ## Method Details

  - ### getGuiTitle

    java.lang.String getGuiTitle()
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Returns:
      Строка - представление объекта.